<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Profiler.html">Profiler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Profiler Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a9b3e71a70bdd2285cebcbd2764fad0e6">beginProfile</a>(const String &amp;profileName, uint32 groupID=(uint32) OGREPROF_USER_DEFAULT)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a27ba2410694ba3fd67ba6570d6aea52a">changeEnableState</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a871bb407f241675993146290a55e9359">createContainer</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a2c40711f65377196f2757c2c5756ce67">createPanel</a>(const String &amp;name, Real width, Real height, Real top, Real left, const String &amp;materialName, bool show=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a0c7ccd5c4f51a7134e4eb264e39b433b">createTextArea</a>(const String &amp;name, Real width, Real height, Real top, Real left, uint fontSize, const String &amp;caption, bool show=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a6d1cbcba96453723bf2ee774518c5228">DisabledProfileMap</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a144fc3944f41b1198a44590beda4ce3f">disableProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a50e3d0c7f42e8ab43af83d13a8acc6cba2d6fc33d16b14163828af85aa2697d13">DISPLAY_MILLISECONDS</a> enum value</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a50e3d0c7f42e8ab43af83d13a8acc6cba0e3d543da3084b0cb6a403509f8e18d6">DISPLAY_PERCENTAGE</a> enum value</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a50e3d0c7f42e8ab43af83d13a8acc6cb">DisplayMode</a> enum name</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a7eec1b1e20d542a5ecf30e68efcbd5ae">displayResults</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a52e2f0d3530febbbf7199173d91ad4e2">enableProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#abe681ebc8892d4475940301a0319fe83">endProfile</a>(const String &amp;profileName, uint32 groupID=(uint32) OGREPROF_USER_DEFAULT)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a2b61483f5709182e8ec2f39bf42e4e14">getDisplayMode</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aca476edd8f31cd3f456899f4d94b4d50">getEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a97669fc277c1da76721156727a261083">getOverlayHeight</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a4f6010d4be648202bac99594ff2afdd9">getOverlayLeft</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#af80310dfae44a50778b4e47e420fd0b0">getOverlayTop</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a54c36919fe5212f92ce6661a16773b6a">getOverlayWidth</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a485151cf50e74b67a1fed85a8517d62c">getProfileGroupMask</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aaa925dad8392fe140d017a5766f3cd49">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a01ec79ba4ba7a539bfd742e120c1ff21">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a135db4d26db8d359fb77d20189379bd7">getTimer</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#abf15da1111321dc8604e53b606664815">getUpdateDisplayFrequency</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a51c3aa09f7f5facae1a90868959723e0">initialize</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a456a0f133ccea3eb515626edd22963ec">logResults</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a424f69eded16aed6d1fcb3363c3bc572">mAverageFrameTime</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a093f84942dc4ceb8e959588dbcd2cde0">mBarHeight</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ad777b9d07a5f12464f1fa7c6ed7a21c1">mBarIndent</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ac914f52e30c8f425a50b1da30c3105a1">mBarLineWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a21239e45f15d4f19957f88dc6631ce95">mBarSpacing</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a342bdc46fd887e5c5a45806dfdd6be0b">mCurrentFrame</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a3d8be007a0ed8266c06bd27968b7974e">mDisabledProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a042b5638e084d62470ecd62b407ad3e9">mDisplayMode</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a087887f554607555dbfc34111583bd41">mEnabled</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#adca0878a49bfc3a42f5a3329685b60d2">mEnableStateChangePending</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a9394507398be0a65c25bc90863eaf6c4">mGuiBorderWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a01964e2873acf707b46ce955d4eaa481">mGuiHeight</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a3cc083369ba6d2cbccf9e3805a5a2c04">mGuiLeft</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a82fdce63913682f9c35dadb6ceaea91a">mGuiTop</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a7aa7a6e1aefb5d3fda203ab2bbf2345b">mGuiWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a8426a136e3fd6574b4b3afeca58fd5d9">mInitialized</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a54a0a835e1a8454e52360b18f6375aa3">mMaxDisplayProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aa75e34e44dbc5afedf28615467bf2f42">mMaxTotalFrameTime</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a1803e714976005d298d2742fec3e1a09">mNewEnableState</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#af0b84f8988fb21a9b1edb737687e1d55">mOverlay</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ab3865827e7b3ac4ad3b9b3e1fdda9d77">mProfileBars</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ab6e938d9f36e20068d7f96073112fb77">mProfileFrame</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a787571c7aff51fec80a5602a2e868a78">mProfileGui</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a28700bb39bbc70ec4ecac22050d13f2c">mProfileHistory</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aba7e5d0b1b2f41e1c63563d9d49eddba">mProfileHistoryMap</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a6df42d4b04253c3d7fa7a4082dc91bcf">mProfileMask</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a7342bed28d571f2657b1a3f04ebd59e0">mProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a07f40435476edf0e9437a94613173075">mResetExtents</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Profiler &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a38b67a7679f11d7ececbeedc4f354a1f">mTimer</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a044204c438fc5eec7806b586129cf70e">mTotalFrameTime</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a634f43e704803cbc4c4974d5363d3441">mUpdateDisplayFrequency</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a5f3f0dff8d6cee3f9aed3fb44354ffec">processFrameStats</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a80b34d6af36b5f9c3dd026781d27ac53">ProfileBarList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a8298d80c034d7e5014eb825e7ef1d571">ProfileFrameList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a800e5c5d662fc92be9d99a0ce13d0b3e">ProfileHistoryList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a00ddaf4ebef695c8dbdf238a65991b3d">ProfileHistoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aa35c96681ded2faf493defa432ce6a04">Profiler</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aa2c80f0ab41d4de58e1b57fbeca3e270">ProfileStack</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#adf2570f07addb553a852a003c97fdc12">reset</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#afd327712037dfcda0145e257137f0016">setDisplayMode</a>(DisplayMode d)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a91c40e21a3fc96003504ea21fec80d77">setEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a020e38bd163d7168a6771d2caf6ea987">setOverlayDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a642ec614125fee5c5041ae057faeb817">setOverlayPosition</a>(Real left, Real top)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ad19bcccfdf69b21b9953488cb58de764">setProfileGroupMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a53a2d2681a3995555df6d789c5596381">setTimer</a>(Timer *t)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ac29d425e0f0b531f2c7f643907c9402d">setUpdateDisplayFrequency</a>(uint freq)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Profiler &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#adfd868a7f9213baece5687bd36e23279">watchForLimit</a>(const String &amp;profileName, Real limit, bool greaterThan=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#afc737d10ba6b5732df9a538a196ee3e6">watchForMax</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ad37efd3a99cf736a0424fd0c1c92efb4">watchForMin</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a45e1f8ac11468a9322148be4e22e85de">~Profiler</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Profiler &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
